local tilemap = require 'tilemap'
local map = tilemap.map
local tileset = tilemap.tileset
local mouse = require 'mouse'
require 'debugger'


love.load = function()
  love.graphics.setDefaultFilter("nearest", "nearest")
  tileset:load()
  map:load()
  player = love.graphics.newImage("assets/player.png")
end

love.update = function(t)
  mouse:update(t)
end

love.draw = function()
  love.graphics.push()
  love.graphics.scale(2)
  map:draw()
  love.graphics.pop()
  love.graphics.draw(player, 16 * 16, 192)
  mouse:draw()
end
