local mouse = {}

mouse.pos_x = 0
mouse.pos_y = 0
mouse.size = 32

function mouse:update(t)
  mouse.pos_x, mouse.pos_y = love.mouse.getPosition()
end

function mouse:draw()
  local x = math.floor(self.pos_x / self.size)
  local y = math.floor(self.pos_y / self.size)
  love.graphics.rectangle("fill", x * self.size, y * self.size, self.size, self.size)
  love.graphics.print(
    string.format("(%d,%d)", x + 1, y + 1),
    x * self.size + self.size,
    y * self.size + math.floor(self.size / 2), 0, 2,
    2)
end

return mouse
